curl --request PUT \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/demographics/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"demographics": {
"sourcedId": "<string>",
"status": "active",
"metadata": {},
"birthDate": "<string>",
"sex": "male",
"americanIndianOrAlaskaNative": "true",
"asian": "true",
"blackOrAfricanAmerican": "true",
"nativeHawaiianOrOtherPacificIslander": "true",
"white": "true",
"demographicRaceTwoOrMoreRaces": "true",
"hispanicOrLatinoEthnicity": "true",
"countryOfBirthCode": "<string>",
"stateOfBirthAbbreviation": "<string>",
"cityOfBirth": "<string>",
"publicSchoolResidenceStatus": "<string>"
}
}
'{
"sourcedId": "<string>",
"status": "active",
"birthDate": "<string>",
"sex": "male",
"americanIndianOrAlaskaNative": "<string>",
"asian": "<string>",
"blackOrAfricanAmerican": "<string>",
"nativeHawaiianOrOtherPacificIslander": "<string>",
"white": "<string>",
"demographicRaceTwoOrMoreRaces": "<string>",
"hispanicOrLatinoEthnicity": "<string>",
"countryOfBirthCode": "<string>",
"stateOfBirthAbbreviation": "<string>",
"cityOfBirth": "<string>",
"publicSchoolResidenceStatus": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {}
}To update an existing Demographic record. The sourcedId for the record to be updated is supplied by the requesting system.
curl --request PUT \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/demographics/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"demographics": {
"sourcedId": "<string>",
"status": "active",
"metadata": {},
"birthDate": "<string>",
"sex": "male",
"americanIndianOrAlaskaNative": "true",
"asian": "true",
"blackOrAfricanAmerican": "true",
"nativeHawaiianOrOtherPacificIslander": "true",
"white": "true",
"demographicRaceTwoOrMoreRaces": "true",
"hispanicOrLatinoEthnicity": "true",
"countryOfBirthCode": "<string>",
"stateOfBirthAbbreviation": "<string>",
"cityOfBirth": "<string>",
"publicSchoolResidenceStatus": "<string>"
}
}
'{
"sourcedId": "<string>",
"status": "active",
"birthDate": "<string>",
"sex": "male",
"americanIndianOrAlaskaNative": "<string>",
"asian": "<string>",
"blackOrAfricanAmerican": "<string>",
"nativeHawaiianOrOtherPacificIslander": "<string>",
"white": "<string>",
"demographicRaceTwoOrMoreRaces": "<string>",
"hispanicOrLatinoEthnicity": "<string>",
"countryOfBirthCode": "<string>",
"stateOfBirthAbbreviation": "<string>",
"cityOfBirth": "<string>",
"publicSchoolResidenceStatus": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The unique identifier for the demographics record to update
Show child attributes
Demographics record updated successfully
Represents a student's demographics information.
active, tobedeleted ^\d{4}-\d{2}-\d{2}$male, female, other, unspecified, null Additional metadata for the object